Bug 834279 - Two different versions of mvel2-2.1.0 in distribution
Two different versions of mvel2-2.1.0 in distribution
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Deployment (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity high
: ER5
: 5.3.0 GA
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 08:09 EDT by Jiri Pechanec
Modified: 2014-10-15 13:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Two different versions of mvel2-2.1.0 existed within JBoss SOA. This conflict resulted in deployment issues. This has now been fixed in the ESB POM generator code. The ESB will deploy as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-15 13:26:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2012-06-21 08:09:59 EDT
There are two MVEL JAR files relating to SOA-P

36. 	mvel2-2.1.0.drools10.jar	180	/server/production/deployers/esb.deployer/lib/mvel2-2.1.0.drools10.jar
37. 	mvel2-2.1.0.drools16.jar	180	/server/production/deploy/jbrules.esb/mvel2-2.1.0.drools16.jar

I propose to unify version using drools16 one
Comment 1 George Varsamis 2012-06-27 07:12:56 EDT
This has now been fixed in the esb pom generator code!
Comment 2 Suz 2012-07-02 00:58:31 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Two different versions of mvel2-2.1.0 existed within JBoss SOA. This conflict resulted in deployment issues. This has now been fixed in the ESB POM generator code. The ESB will deploy as expected.
Comment 3 Jiri Pechanec 2012-07-19 09:28:10 EDT
Verified in ER5

Note You need to log in before you can comment on or make changes to this bug.